### Enumeration

# Shumate State

since: 1.0

#### Declaration

    enum Shumate.State

#### Description [src]

Tile loading state.

Available since: 1.0

#### Members

`SHUMATE_STATE_NONE`

  Initial or undefined state.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`SHUMATE_STATE_LOADING`

  Tile is loading.

  - Value: `1`
  - Nickname: `loading`
  - Available since: 1.0
`SHUMATE_STATE_LOADED`

  Tile is loaded but not yet displayed.

  - Value: `2`
  - Nickname: `loaded`
  - Available since: 1.0
`SHUMATE_STATE_DONE`

  Tile loading finished. Also used to inform map sources that tile loading has been cancelled.

  - Value: `3`
  - Nickname: `done`
  - Available since: 1.0